package com.red.circle.live.infra.database.cache.service;

/**
 * UserAgoraToken缓存服务.
 *
 * @author lixiaofei on 2024/9/4
 */
public interface UserAgoraTokenCacheService {

  /**
   * 移除相关缓存.
   *
   * @param userId 用户id
   */
  void remove(Long userId, Long roomId);

  /**
   * 添加缓存.
   *
   * @param agoraToken agora 发声token
   * @param userId 用户id
   */
  void save(String agoraToken, Long userId, Long roomId);

  /**
   * 获取一个用户AgoraToken.
   *
   * @param userId 用户id
   */
  String getUserAgoraToken(Long userId, Long roomId);

}
